package tech.mercantec.easyeat.helpers

import android.content.Context
import kotlinx.serialization.Serializable
import tech.mercantec.easyeat.models.Ingredient

@Serializable
data class GenerateRecipeRequest(val dish: String, val language: String, val numberOfRecipes: Int, val allergi: Array<String>)

@Serializable
data class GenerateRecipeResponse(val name: String, val description: String, val directions: Array<String>, val ingredients: Array<Ingredient>)

fun generateRecipeWithAI(ctx: Context, title: String, language: String): GenerateRecipeResponse {
    return requestJson<GenerateRecipeRequest, GenerateRecipeResponse>(ctx, "POST", "/api/Recipe/chatbot", GenerateRecipeRequest(title, language, 1, arrayOf()))
}
