package tech.mercantec.easyeat.ui.dishes

import android.app.ProgressDialog
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.LinearLayout
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.helpers.ApiRequestException
import tech.mercantec.easyeat.helpers.GenerateRecipeResponse
import tech.mercantec.easyeat.helpers.generateRecipeWithAI
import java.util.Locale
import kotlin.concurrent.thread

class CreateDishAIActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.create_dish_ai_form)

        findViewById<Button>(R.id.generate).setOnClickListener {
            val name = findViewById<EditText>(R.id.dish_title).text.toString()

            val progressDialog = ProgressDialog(this)
            progressDialog.setMessage("Generating...")
            progressDialog.show()

            thread {
                val response: GenerateRecipeResponse
                try {
                    response = generateRecipeWithAI(this, name, Locale.getDefault().displayLanguage)
                } catch (e: ApiRequestException) {
                    runOnUiThread {
                        Toast.makeText(this, e.message, Toast.LENGTH_LONG).show()
                    }

                    return@thread
                } finally {
                    progressDialog.hide()
                }

                runOnUiThread {
                    Toast.makeText(this, response.toString(), Toast.LENGTH_LONG).show()
                }
            }
        }
    }
}
