package tech.mercantec.easyeat.ui.dishes

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.TextView
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.models.DishListItem

class DishAdapter(context: Context, dishes: List<DishListItem>) :
    ArrayAdapter<DishListItem>(context, 0, dishes) {

    override fun getView(position: Int, convertView: View?, parent: ViewGroup): View {
        val dish = getItem(position)
        val view = convertView ?: LayoutInflater.from(context).inflate(R.layout.dish_list_item, parent, false)

        val nameTextView = view.findViewById<TextView>(R.id.dishName)
        val descriptionTextView = view.findViewById<TextView>(R.id.descriptionTextView)

        nameTextView.text = "Name: ${dish?.name}"
        descriptionTextView.text = "Description: ${dish?.description}"

        return view
    }
}
